Subject: bug#14816: 24.3.50.1; ispell remember position, feature request

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 May 2022 08:29:01 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 12 May 2022 02:07:07 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> It seemed unlikely to me that third party packages would be using
> >> ispell-process-line, so I didn't think either was necessary.  If it
> >> turns out that it is, I was thinking of adding a new optional argument
> >> to the function to alter the return value.
> >
> > Yes, I'm asking why not do that now, proactively?
> 
> Having an optional parameter to a function that has one single usage
> didn't seem warranted.

It's a public API that could be used out there any number of times.
And the compatible change is very simple.  Sounds like a no-brainer to
me.